List pull request previews
List the latest state of every preview reported for a pull request, as stored on the Inspect sessions currently linked to it.
Base URL
GET
List the latest state of every preview reported for a pull request, as stored on the Inspect sessions currently linked to it.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
owner*stringGitHub repository owner.
Length
1 <= lengthrepo*stringGitHub repository name.
Length
1 <= lengthpull_number*integerPull request number.
Format
int64Range
0 < valuePreviews for the pull request
application/json- response
data*array<>curl -X GET 'https://your-org.inspect.com/api/public/v1/repositories/string/string/pulls/1/previews'Example Response
{ "data": [ { "name": "string", "label": "string", "status": "deploying", "url": "http://example.com", "commit_sha": "string", "deployed_commit_sha": "string", "last_succeeded_at": "2019-08-24T14:15:22Z", "job_url": "http://example.com", "error": "string", "occurred_at": "2019-08-24T14:15:22Z" } ]}